package com.yingxin.prms.dto;

/**
 * Created by GavinLi on 2018/6/26.
 */
public class AlarmMessage {

    /*
        deviceip	IP地址
        systemtype	告警来源
        alarmseq	告警序列号
        alarmtitle	告警标题
        alarmdesc	告警描述
        alarmlevel	告警级别
        alarmtype	告警分类
        alarmtime	告警时间
        alarmstatus	告警状态
        dealtime	处理时间
        dealuser	处理人
        dealdetail	处理详细
        breakmaketype	告警类别
    */

    private String deviceIp;

    private String systemType;

    private String alarmSeq;

    private String alarmTitle;

    private String alarmDesc;

    private String alarmLevel;

    private String alarmType;

    private String alarmTime;

    private String alarmStatus;

    private String dealTime;

    private String dealUser;

    private String dealDetail;

    private String breakMakeType;

    public AlarmMessage() {
    }

    @Override
    public String toString() {
        return deviceIp + "#|#" + systemType + "#|#" + alarmSeq
                + "#|#" + alarmTitle + "#|#" + alarmDesc + "#|#" + alarmLevel
                + "#|#" + alarmType + "#|#" + alarmTime + "#|#" + alarmStatus
                + "#|#" + dealTime + "#|#" + dealUser + "#|#" + dealDetail
                + "#|#" + breakMakeType;
    }

    public String getDeviceIp() {
        return deviceIp;
    }

    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getAlarmSeq() {
        return alarmSeq;
    }

    public void setAlarmSeq(String alarmSeq) {
        this.alarmSeq = alarmSeq;
    }

    public String getAlarmTitle() {
        return alarmTitle;
    }

    public void setAlarmTitle(String alarmTitle) {
        this.alarmTitle = alarmTitle;
    }

    public String getAlarmDesc() {
        return alarmDesc;
    }

    public void setAlarmDesc(String alarmDesc) {
        this.alarmDesc = alarmDesc;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(String alarmStatus) {
        this.alarmStatus = alarmStatus;
    }

    public String getDealTime() {
        return dealTime;
    }

    public void setDealTime(String dealTime) {
        this.dealTime = dealTime;
    }

    public String getDealUser() {
        return dealUser;
    }

    public void setDealUser(String dealUser) {
        this.dealUser = dealUser;
    }

    public String getDealDetail() {
        return dealDetail;
    }

    public void setDealDetail(String dealDetail) {
        this.dealDetail = dealDetail;
    }

    public String getBreakMakeType() {
        return breakMakeType;
    }

    public void setBreakMakeType(String breakMakeType) {
        this.breakMakeType = breakMakeType;
    }
}
